﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Data;
using System.Collections;
using System.IO;
using System.Text;
using System.Web.UI.HtmlControls;
using System.Reflection;
using System.Data.Common;
using System.Configuration;
using System.Data.SqlClient;
using Telerik.Web.UI.GridExcelBuilder;
public partial class _Default : System.Web.UI.Page
{
    List<int> selectedItems = new List<int>();

    protected void Button1_Click(object sender, EventArgs e)
    {
        foreach (GridDataItem item in RadGrid1.MasterTableView.Items)
            if (item.Selected) selectedItems.Add(item.ItemIndex);

        RadGrid1.MasterTableView.GetColumn("ClientSelectColumn").Visible = false;
        RadGrid1.MasterTableView.ExportToExcel();
    }

    protected void RadGrid1_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
    {
        DataTable table = new DataTable();

        table.Columns.Add("MemberID");
        table.Columns.Add("MemberName");
        for (int i = 0; i < 10; i++)
            table.Rows.Add(i, (new string[] { "John", "Todd", "Michael", "Linda", "George", "Keith", "Joshua", "Martin", "Steven", "Dan" })[i]);
        RadGrid1.DataSource = table;
    }
    protected void RadGrid1_ItemDataBound(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridDataItem && selectedItems.Count > 0)
            e.Item.Display = selectedItems.Contains(e.Item.ItemIndex);
    }
}